import 'virtual:svg-icons-register';
import { createApp } from 'vue';
import App from './App.vue';
import router from './router';
import pinia from './store';
import ElementPlus from 'element-plus';
import 'element-plus/dist/index.css';
import 'animate.css';
import './utils/permission';
import { registerDirective } from './directives';
import { registerElIcons } from './plugins/icon';

const app = createApp(App);
registerElIcons(app);
registerDirective(app);
app.use(pinia).use(router).use(ElementPlus).mount('#app');
